Gem::Specification.new do |spec|
  spec.name          = "uri"
  spec.version       = "0.11.0"
  spec.authors       = ["Akira Yamada"]
  spec.email         = ["akira@ruby-lang.org"]

  spec.summary       = %q{URI is a module providing classes to handle Uniform Resource Identifiers}
  spec.description   = spec.summary
  spec.homepage      = "https://github.com/ruby/uri"
  spec.licenses      = ["Ruby", "BSD-2-Clause"]

  spec.required_ruby_version = '>= 2.4'

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `find . -type f -not -path "*/.git/*" -printf "%P\\0"` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `find . -type f -not -path "*/.git/*" -printf "%P\\0" 2>/dev/null`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
